List calls
curl --request GET \
--url https://v2-nova-api.prod.czmx.in/api/org/{org_id}/calls \
--header 'X-API-Key: <api-key>'import requests
url = "https://v2-nova-api.prod.czmx.in/api/org/{org_id}/calls"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://v2-nova-api.prod.czmx.in/api/org/{org_id}/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"agent_name": "<string>",
"call_type": "<string>",
"callback_for": "<string>",
"direction": "<string>",
"duration_seconds": 123,
"ended_at": "<string>",
"from_number": "<string>",
"id": "<string>",
"initial_agent_id": "<string>",
"prospect_external_id": "<string>",
"prospect_first_name": "<string>",
"prospect_id": "<string>",
"prospect_last_name": "<string>",
"prospect_phone": "<string>",
"scheduled_at": "<string>",
"started_at": "<string>",
"status": "<string>",
"to_number": "<string>"
}
],
"meta": {
"page": 123,
"size": 123,
"total": 123,
"total_pages": 123
}
}{
"data": "<unknown>",
"error": "<unknown>",
"message": "<string>",
"status": true
}{
"data": "<unknown>",
"error": "<unknown>",
"message": "<string>",
"status": true
}{
"data": "<unknown>",
"error": "<unknown>",
"message": "<string>",
"status": true
}{
"data": "<unknown>",
"error": "<unknown>",
"message": "<string>",
"status": true
}Calls
List calls
Returns a paginated list of calls for the organization with optional filters
GET
/
org
/
{org_id}
/
calls
List calls
Authorizations
Path Parameters
Organization ID
Query Parameters
Page number
Page size
Required range:
x <= 100Filter by status (SCHEDULED, RINGING, IN_PROGRESS, completed, no-answer, failed, busy)
Filter by direction (INBOUND, OUTBOUND)
Filter by agent ID
Filter by prospect ID
Filter by workflow ID
Filter by prospect external ID
Filter by prospect name (first or last)
Filter by start date (ISO 8601)
Filter by end date (ISO 8601)
Filter by minimum duration in seconds
Search by phone number
Filter by evaluation outcome key (e.g. is_interested)
Filter by evaluation value (e.g. true, false, or extracted text)

